
Pre-Development - Bug #19944

FE - React - Organisation Profile, User Profile User Category , Message Template,Email Parameter

Setting User Role - Pagination not update issue

29 February 2024 03:31 PM - Hazimi Muhammad

Status: Resolved Start date: 29 February 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

This issue happen on Organisation Profile,User Category ,Email Parameter Setting

but i cannot stimulate for User Profile, Message Template,User Role

Issue:

Make sure the data is 9 in the database -> click Organisation Profile at the sidebar -> click Search button -> the pagination "1 to 9 of

9 entries" -> click add button ->

add the new data -> go to the search page -> the pagination "1 to 9 of 9 entries" is there while the data are now 10.

Expected:

Make sure the data is 9 in the database -> click Organisation Profile at the sidebar -> click Search button -> the pagination "1 to 9 of

9 entries" -> click add button ->

add the new data -> go to the search page -> the pagination "1 to 10 of 10 entries" make sure the data is what we got from the BE

History

#1 - 04 March 2024 11:21 AM - chok yee fan

- Assignee changed from chok yee fan to Zaid Haritsah

search action ws do not return to FE.

#2 - 04 March 2024 01:27 PM - Zaid Haritsah

- Assignee changed from Zaid Haritsah to Farid Nazmi

#3 - 06 March 2024 10:48 AM - Farid Nazmi

- Status changed from New to In Progress

#4 - 06 March 2024 03:01 PM - Farid Nazmi

already fixed and remove the return total count in DaoImpl :

IAM git commit:

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/c31a3a2f6184c2e60ccc6802f00d813223f11822

AM git commit:

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-am/-/commit/7bba91f3f04b248dadb0693f62edd3c0dbfa4c46

COMMON git commit:

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-common/-/commit/1d04f16e6f1c8c6d852b48c155762f3ae34db605
#5 - 06 March 2024 03:01 PM - Farid Nazmi

- Status changed from In Progress to Resolved

- Assignee changed from Farid Nazmi to chok yee fan

- % Done changed from 0 to 100
